Data Hub
Watchers

Get watcher upload queue

Requires scope `watchers:read`.

GET
/watchers/{watcherId}/upload-queue

Requires scope watchers:read.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

watcherId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/watchers/497f6eca-6276-4993-bfeb-53cbbbba6f08/upload-queue"
{  "files": [    {      "id": 0,      "instrument_id": "string",      "run_id": "string",      "relative_path": "string",      "filename": "string",      "size_bytes": 0    }  ]}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}